Bug 1080476 - Intermittent JVM crash at sun.security.krb5.KrbException.equals(Ljava/lang/Object;)
Summary: Intermittent JVM crash at sun.security.krb5.KrbException.equals(Ljava/lang/Ob...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt-java-connector
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-25 13:58 UTC by Dominik Pospisil
Modified: 2016-12-01 00:46 UTC (History)
10 users (show)

Fixed In Version: abrt-java-connector-1.0.9-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-03 11:31:15 UTC
Type: Bug


Attachments (Terms of Use)
JVM crash log (155.90 KB, text/x-log)
2014-03-25 13:58 UTC, Dominik Pospisil
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Icedtea Bugzilla 1722 0 None None None Never

Description Dominik Pospisil 2014-03-25 13:58:01 UTC
Created attachment 878469 [details]
JVM crash log

Description of problem:
I am getting intermittent crash while executing sun.security.krb5.KrbException.equals(Ljava/lang/Object;).

Version-Release number of selected component (if applicable):
java-1.7.0-openjdk-1.7.0.60-2.4.5.1.fc20.x86_64


How reproducible:
Frequently. Seems to be reproducible on AMD cpus only.


Steps to Reproduce:
git clone git@github.com:dpospisil/jboss-eap.git
cd jboss-eap
git checkout 6.x.ldap
mvn clean install -DskipTests
cd testsuite/integration/basic
mvn clean install -DskipTests
mvn test -Dtest=SPNEGOLoginModuleTestCase

Actual results:
JVM crash

Expected results:


Additional info:

Comment 1 Severin Gehwolf 2014-03-25 14:50:46 UTC
Is this reproducible if you remove the java abrt connector?

$ sudo yum erase abrt-java-connector

Comment 2 Dominik Pospisil 2014-03-25 21:09:30 UTC
No, with the abrt-java-connector uninstalled the issue is gone!

Comment 3 Severin Gehwolf 2014-03-26 08:39:29 UTC
OK, thanks! Re-assigning to the java connector folks.

Comment 4 Jakub Filak 2014-03-26 15:27:06 UTC
I cannot reproduce the crash on Fedora 20 VM box with abrt-java-connector-1.0.8-3. Do I have to run it on physical machine?

Comment 5 Dominik Pospisil 2014-03-26 15:40:18 UTC
Well I have experienced the issue on physical box. Did not try any VM though.

Comment 6 Jakub Filak 2014-03-31 15:55:07 UTC
I cannot reproduce the crash on this beaker machine [1][2].

Is there any other special configuration that needs to be done?


1: https://beaker.engineering.redhat.com/view/ibm-ls22-03.rhts.eng.brq.redhat.com#details
2: https://beaker.engineering.redhat.com/jobs/623051

Comment 7 Jakub Filak 2014-04-01 14:01:36 UTC
Could you please attach core dump file?

Comment 8 Dominik Pospisil 2014-04-01 21:02:35 UTC
Finally found out why I was not able to reproduce the issue anymore.

The issue is reproducible only with abrt-java-connector-1.0.8-3.fc20.

I am unable to reproduce with abrt-java-connector.x86_64 0:1.0.9-1.fc20.

So this issue seems to be solved already.

Comment 9 Jakub Filak 2014-04-03 11:31:15 UTC
This bug will be set to CLOSED:CURRENTRELEASE, but please reopen it if the problem reoccur.


Note You need to log in before you can comment on or make changes to this bug.